#!/bin/sh

XCFLAGS="-c -nostdinc -D__IS_MINGW__ -fno-builtin -masm=intel -Os"
XLDFLAGS="-nostdlib -T kolibri.ld"

cd ..
echo "Clearing..."
rm -f *.kex
rm -f *.o
echo "Compiling..."

fasm start.asm start.o
i586-mingw32msvc-gcc $XCFLAGS shell.c
i586-mingw32msvc-gcc $XCFLAGS libs/kolibri.c
i586-mingw32msvc-gcc $XCFLAGS libs/stdlib.c
i586-mingw32msvc-gcc $XCFLAGS libs/string.c

echo "Producing binary..."

i586-mingw32msvc-ld $XLDFLAGS -o shell.kex start.o kolibri.o stdlib.o string.o shell.o
i586-mingw32msvc-objcopy shell.kex -O binary

echo "Done!"
